Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.im.spi
Interface InputMethodContext

All Superinterfaces:
  InputMethodRequests

public interface InputMethodContext
extends InputMethodRequests

Provides methods that input methods can use to communicate with their client components or to request other services. This interface is implemented by the input method framework, and input methods call its methods on the instance they receive through `InputMethod.setInputMethodContext(java.awt.im.spi.InputMethodContext)`. There should be no other implementors or callers.

Since:
  1.3

Method Summary
`JFrame` | `createInputMethodJFrame(String title, boolean attachToInputContext)` Creates a top-level Swing JFrame for use by the input method.
`Window` | `createInputMethodWindow(String title, boolean attachToInputContext)` Creates a top-level window for use by the input method.
`void` | `dispatchInputMethodEvent(int id, AttributedCharacterIterator text, int committedCharacterCount, TextHitInfo caret, TextHitInfo visiblePosition)` Creates an input method event from the arguments given and dispatches it to the client component.
`void` | `enableClientWindowNotification(InputMethod inputMethod, boolean enable)` Enables or disables notification of the current client window's location and state for the specified input method.

Methods inherited from interface java.awt.im.InputMethodRequests
`cancelLatestCommittedText, getCommittedText, getCommittedTextLength, getInsertPositionOffset, getLocationOffset, getSelectedText, getTextLocation`

Method Detail

### dispatchInputMethodEvent

    public void dispatchInputMethodEvent(int id,
                                         AttributedCharacterIterator text,
                                         int committedCharacterCount,
                                         TextHitInfo caret,
                                         TextHitInfo visiblePosition)

  Creates an input method event from the arguments given and dispatches it to the client component. For arguments, see `InputMethodEvent.InputMethodEvent(java.awt.Component, int, java.awt.font.TextHitInfo, java.awt.font.TextHitInfo)`.

### createInputMethodWindow

    public Window createInputMethodWindow(String title,
                                          boolean attachToInputContext)

  Creates a top-level window for use by the input method. The intended behavior of this window is:
  - it floats above all document windows and dialogs
  - it and all components that it contains do not receive the focus
  - it has lightweight decorations, such as a reduced drag region without title
  However, the actual behavior with respect to these three items is platform dependent.

  The title may or may not be displayed, depending on the actual type of window created.

  If attachToInputContext is true, the new window will share the input context that corresponds to this input method context, so that events for components in the window are automatically dispatched to the input method. Also, when the window is opened using setVisible(true), the input context will prevent deactivate and activate calls to the input method that might otherwise be caused.

  Parameters:
    `title` - the title to be displayed in the window's title bar, if there is such a title bar. A `null` value is treated as an empty string, "".
    `attachToInputContext` - whether this window should share the input context that corresponds to this input method context
  Returns:
    a window with special characteristics for use by input methods
  Throws:
    `HeadlessException` - if `GraphicsEnvironment.isHeadless` returns `true`

### createInputMethodJFrame

    public JFrame createInputMethodJFrame(String title,
                                          boolean attachToInputContext)

  Creates a top-level Swing JFrame for use by the input method. The intended behavior of this window is:
  - it floats above all document windows and dialogs
  - it and all components that it contains do not receive the focus
  - it has lightweight decorations, such as a reduced drag region without title
  However, the actual behavior with respect to these three items is platform dependent.

  The title may or may not be displayed, depending on the actual type of window created.

  If attachToInputContext is true, the new window will share the input context that corresponds to this input method context, so that events for components in the window are automatically dispatched to the input method. Also, when the window is opened using setVisible(true), the input context will prevent deactivate and activate calls to the input method that might otherwise be caused.

  Parameters:
    `title` - the title to be displayed in the window's title bar, if there is such a title bar. A `null` value is treated as an empty string, "".
    `attachToInputContext` - whether this window should share the input context that corresponds to this input method context
  Returns:
    a JFrame with special characteristics for use by input methods
  Throws:
    `HeadlessException` - if `GraphicsEnvironment.isHeadless` returns `true`
  Since:
    1.4

### enableClientWindowNotification

    public void enableClientWindowNotification(InputMethod inputMethod,
                                               boolean enable)

  Enables or disables notification of the current client window's location and state for the specified input method. When notification is enabled, the input method's `notifyClientWindowChange` method is called as described in that method's specification. Notification is automatically disabled when the input method is disposed.

  Parameters:
    `inputMethod` - the input method for which notifications are enabled or disabled
    `enable` - true to enable, false to disable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.